Subject: Re: "HEAD -> branch" decoration doesn't work with "--decorate=full"

From: Michael J Gruber <[email-masked]>
Date: Wed, 13 May 2015 17:26:32 +0200

Junio C Hamano venit, vidit, dixit 13.05.2015 16:51:
> Michael Haggerty <[email-masked]> writes:
> 
>> The new-style "HEAD -> branch" style decoration doesn't work when
>> "--decorate=full" is used:
>> ...
>> Was that an oversight or a conscious decision?
> 
> I do not recall making such a decision, and I doubt (the other)
> Michael wanted that way, either, so patches welcome, perhaps?

I was not aware of an alternate codepath for full decorations (and am
surprised about it).

I can't look into this before next week, but --decorate=full should
produce "HEAD -> refs/heads/master" and such.

I even vaguely remember testing it, but that may have been for v1 which
turned different knobs than the end version.

Michael